<template>
  <footer class="footer">
    <div class="sum-container">
      <h2 class="title">Заказ на сумму:</h2>
      <span class="sum"> {{ sum }} ₽</span>
    </div>
    <the-button />
  </footer>
</template>

<script>
import { prettifySum } from '@/assets/js/util.js'
import TheButton from '@/components/ui/TheButton'
import { useStore } from 'vuex'
import { computed } from 'vue'

export default {
  components: {
    TheButton
  },
  setup () {
    const store = useStore()
    const sum = computed(() => prettifySum(store.getters.GetSum))
    return {
      sum
    }
  }
}
</script>

<style lang="scss" scoped>
.footer {
  height: 90px;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .sum-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0 16px;
    font-family: Montserrat;
    font-weight: 400;

    .title {
      font-size: 21px;
      text-transform: uppercase;
      color: #FFFFFF;
    }

    .sum {
      font-size: 18px;
      color: #D58C51;
    }
  }
}
</style>
